Subject: postmaster -B

From: [email-masked] (Chris Bunting 61-89-895442)
Date: Tue, 23 Mar 93 16:39:26 -0800

We were hoping to improve the performance of postgres by increasing 
the number of buffers. I installed a new kernel with 32 Meg of shared memory
ie
    options        TTMOREIPCS     # more semaphores and shared memory (for 32M)

as per your instructions in postgres-setup.cat

I then tried to start a postmaster using the -B option ( that is not documented but rates a mention in the file .../src/backend/postmaster/postmaster.c )

here is a copy of the output from various attempts

% postmaster -B 1000
IpcMemoryCreate: memKey=123585129 , size=8594804 , permission=384IpcMemoryCreate: shmget(..., create, ...) failed: Invalid argument

% postmaster -B 500
IpcMemoryCreate: memKey=123585129 , size=4448555 , permission=384IpcMemoryCreate: shmget(..., create, ...) failed: Invalid argument

postmaster -B 90
IpcMemoryCreate: memKey=123585129 , size=1049249 , permission=384IpcMemoryCreate: shmget(..., create, ...) failed: Invalid argument

postmaster -B 80  /* this one worked fine */

My questions are 

1) What effect on performance does increasing the nuber of buffer have?
2) What do I have to change in order to significantly increase the number of bufers?

Thanks for your time.